For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
      • GETList or search for phone numbers
      • POSTRequest an internal phone number
      • GETRetrieve a single phone number
      • PUTUpdate a phone number
      • DELDelete a phone number
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Communication ConfigurationPhone Numbers

Retrieve a single phone number

|View as Markdown|Open in Claude|
GET
https://api.close.com/api/v1/phone_number/:id/
GET
/api/v1/phone_number/:id/
$curl https://api.close.com/api/v1/phone_number/id/ \
> -u "<CLOSE_API_KEY>:"
1{
2 "address_id": null,
3 "bundle_id": null,
4 "carrier": null,
5 "carrier_type": null,
6 "country": "US",
7 "date_created": "2016-07-18T22:54:24.787000+00:00",
8 "date_updated": "2016-07-18T22:55:55.938000+00:00",
9 "id": "phon_asdjkfev50ZKOqTVndOFN4effzv99vDvpDxrks9XLU3",
10 "is_group_number": false,
11 "is_premium": false,
12 "is_verified": true,
13 "label": "Primary Number",
14 "last_billed_price": null,
15 "mms_enabled": true,
16 "next_billing_on": null,
17 "number": "+16503335555",
18 "number_formatted": "+1 650-333-5555",
19 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
20 "sms_enabled": true,
21 "supports_mms_to_countries": [
22 "CA",
23 "US"
24 ],
25 "supports_sms_to_countries": [
26 "CA",
27 "US"
28 ],
29 "type": "internal",
30 "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
31 "forward_to": null,
32 "forward_to_enabled": false,
33 "forward_to_formatted": null,
34 "press_1_to_accept": false,
35 "voicemail_greeting_url": null
36}
Was this page helpful?
Previous

Request an internal phone number

Next

Update a phone number

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Query parameters

_fieldsstringOptional

Comma-separated list of fields to include in the response.

Response

Successful response
address_idstring or null
bundle_idstring or null
carrierenum or null
Allowed values:
carrier_typeenum or null
Allowed values:
countrystring or null
date_createddatetime
date_updateddatetime
idstring
is_group_numberboolean
is_premiumboolean
is_verifiedboolean
labelstring
last_billed_pricedouble or null
mms_enabledboolean
next_billing_ondatetime or null
numberstring
number_formattedstring
organization_idstring
sms_enabledboolean
supports_mms_to_countrieslist of strings
supports_sms_to_countrieslist of strings
typeenum
Allowed values:
user_idstring or null
forward_tostring or null
forward_to_enabledboolean
forward_to_formattedstring or null
participantslist of strings
phone_numberslist of strings
phone_numbers_formattedlist of strings
press_1_to_acceptboolean
voicemail_greeting_urlstring or null
was_portedboolean

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error